#ifndef XLOADEDSOUND_H
#define XLOADEDSOUND_H

#include "xasset.h"
#include "xaudiosound.h"
#include "xstring.h"

class XLoadedSound : public XAsset
{
public:
    explicit XLoadedSound();
    ~XLoadedSound();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XString mName;
    XAudioSound mSound;
};

#endif // XLOADEDSOUND_H
